sub error_parm_null
#
# Terminate with error message for missing .dbamonrc parameters
#
{
  ($sec, $var) = @_;
  printf("*********************************************************************\n");
  printf("  Error: %s Section - %s Parameter not specified\n",$sec,$var);
  printf("  in .dbamonrc parameter file. The format of this file\n");
  printf("  changed for the HOST and HTML section in version 2.00\n");
  printf("  and the system section in version 2.02. Check the\n");
  printf("  comments in the supplied .dbamonrc parameter file (exiting)\n");
  printf("*********************************************************************\n");

  $tmperr = "$tmpdir/dbamon_tmperr";
  open(TMPERR,">$tmperr") || &error_msg("Can't open output $tmperr - $!");
  print TMPERR "--- DBAmon Parameter Error Message Notification ---\n\n";
  printf TMPERR "  Error: %s Section - %s Parameter not specified\n\n",$sec,$var ;
  close(TMPERR);
  $z = "cat $tmperr | dbamon_mailer -m -s 'DBAmon Fatal Parameter Error - DBAmon Master=$wsname mode=$mode' $dbamon_admin";
  system($z);

  exit 1;
}

#------------------------------------------------------------------------------
1;
